> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Facebook posts

> Posts of public Facebook pages, or single posts by URL: text, time, likes, comments, shares, reactions by type, video views, media, links and optional video transcript. 5 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-facebook-posts
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research, search, extraction, and structured data
    source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Multi-step research workflows and the sessions they run in.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
  - name: Startup & Funding Data
    description: Startup & Funding Data data sources.
  - name: Maps & Local Businesses
    description: Maps & Local Businesses data sources.
paths:
  /functions/v1/run-facebook-posts:
    post:
      tags:
        - Social media
      summary: Facebook posts
      description: >-
        Posts of public Facebook pages, or single posts by URL: text, time,
        likes, comments, shares, reactions by type, video views, media, links
        and optional video transcript. 5 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  description: >-
                    Page URL, page name or post URL. e.g.
                    https://www.facebook.com/humansofnewyork/
                  type: string
                max_items:
                  description: Max posts from a page (up to 1000)
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 20
                newer_than:
                  description: >-
                    Posts newer than (date or period). e.g. 2024-01-01 or 3
                    months
                  type: string
                older_than:
                  description: Posts older than (date or period). e.g. 2024-12-31 or 1 week
                  type: string
                include_video_transcript:
                  description: Include video transcript
                  type: boolean
              required:
                - url
            example:
              url: https://www.facebook.com/humansofnewyork/
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: facebook_posts
                url: https://www.facebook.com/humansofnewyork/
                max_items: 2
                include_video_transcript: false
                newer_than: ''
                older_than: ''
                partial: false
                human: |-
                  # Facebook posts

                  - **Source:** humansofnewyork
                  - **Max posts:** 2
                  - **Records returned:** 2
                machine:
                  total_items: 2
                  items:
                    - id: '1674632237561092'
                      url: >-
                        https://www.facebook.com/humansofnewyork/posts/pfbid02ngRVcCt3Y3n2L2ofEDdr9zsMg8svGgpBXVhuDByEcXBB6SvYVTspkMQyp7szDViLl
                      time: '2026-10-13T15:34:09.000Z'
                      title: null
                      text: >-
                        Last year I got an email that Little Humans was going
                        out of print. It was a sad email to receive, because
                        while not exactly a ‘money maker,’ Little Humans had a
                        special place in our family’s heart. I
                      author:
                        id: '100050429952420'
                        name: Humans of New York
                        profile_url: https://www.facebook.com/100050429952420
                        profile_picture_url: >-
                          https://scontent-atl3-2.xx.fbcdn.net/v/t39.30808-1/334611134_1536915246801761_214912837020673325_n.jpg?stp=c341.0.1365.1365a_cp0_dst-jpg_tt6&cstp=mx1365x1365&ctp=s50x50&_nc_cat=105&ccb=1-7&_nc_sid=2d3
                      source_id: '100050429952420'
                      page_name: humansofnewyork
                      group_title: null
                      collaborators: []
                      likes_count: 5969
                      comments_count: 223
                      shares_count: 110
                      views_count: null
                      reactions:
                        total: 6
                        like: 4045
                        love: 1847
                        haha: 1
                        wow: 5
                        sad: 2
                        angry: null
                        care: 69
                      is_video: false
                      video_duration_ms: null
                      video_transcript: null
                      media:
                        - type: Photo
                          url: >-
                            https://www.facebook.com/photo/?fbid=1674631467561169&set=a.755664696124522
                          thumbnail_url: >-
                            https://scontent-atl3-1.xx.fbcdn.net/v/t39.99422-6/846467687_1626254438940479_4082321713543477890_n.png?stp=dst-jpg_tt6&cstp=mx2048x1365&ctp=p180x540&_nc_cat=108&ccb=1-7&_nc_sid=127cfc&_nc_ohc=fiHyrNs
                          ocr_text: May be an image of child and text
                      thumbnail_url: null
                      link: null
                      preview_title: null
                      preview_description: null
                      preview_source: null
                      price: null
                      location: null
                      paid_partnership: false
                      shared_post_url: null
                      top_comments: []
                      source_url: https://www.facebook.com/humansofnewyork/
                    - id: '1652080019816314'
                      url: https://www.facebook.com/reel/2141054613462232/
                      time: '2026-09-19T20:18:58.000Z'
                      title: null
                      text: >-
                        Henry might be the nicest shopkeeper in NYC. You can
                        visit his Army and Navy Bags store at 177 E Houston.
                      author:
                        id: '100050429952420'
                        name: Humans of New York
                        profile_url: https://www.facebook.com/100050429952420
                        profile_picture_url: >-
                          https://scontent-atl3-2.xx.fbcdn.net/v/t39.30808-1/334611134_1536915246801761_214912837020673325_n.jpg?stp=c341.0.1365.1365a_cp0_dst-jpg_tt6&cstp=mx1365x1365&ctp=s50x50&_nc_cat=105&ccb=1-7&_nc_sid=2d3
                      source_id: '100050429952420'
                      page_name: humansofnewyork
                      group_title: null
                      collaborators: []
                      likes_count: 19837
                      comments_count: 854
                      shares_count: 699
                      views_count: 764238
                      reactions:
                        total: 6
                        like: 13015
                        love: 6376
                        haha: 8
                        wow: 3
                        sad: 3
                        angry: null
                        care: 432
                      is_video: true
                      video_duration_ms: null
                      video_transcript: null
                      media:
                        - type: Video
                          url: https://www.facebook.com/reel/2141054613462232/
                          thumbnail_url: >-
                            https://scontent-atl3-2.xx.fbcdn.net/v/t15.5256-10/809812376_2172926496900933_426779378582576711_n.jpg?stp=dst-jpg_tt6&cstp=mx1080x1920&ctp=s960x960&_nc_cat=105&ccb=1-7&_nc_sid=5fad0e&_nc_ohc=uSxgyFxI
                          ocr_text: null
                      thumbnail_url: null
                      link: null
                      preview_title: null
                      preview_description: null
                      preview_source: null
                      price: null
                      location: null
                      paid_partnership: false
                      shared_post_url: null
                      top_comments:
                        - id: >-
                            Y29tbWVudDoxNjUyMDgwMDE5ODE2MzE0XzExMjcxOTYyNjAxNDgxODY=
                          url: >-
                            https://www.facebook.com/reel/2141054613462232/?comment_id=1127196260148186
                          text: >-
                            Thank you for your story today. I wish I could come
                            to your store just to pick up a bit of that joy and
                            humanity you are handing out to all of your
                            customers. What a gift you are to everyone you encou
                          date: '2026-09-19T20:39:29.000Z'
                          author_name: Cathy Beyer
                          author_url: null
                          likes_count: 527
                      source_url: https://www.facebook.com/humansofnewyork/
                  errors: []
                total_points: 10
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  url:
                    type: string
                  max_items:
                    type: integer
                  include_video_transcript:
                    type: boolean
                  newer_than:
                    type: string
                  older_than:
                    type: string
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            url:
                              type: string
                            time:
                              type: string
                            title: {}
                            text:
                              type: string
                            author:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                profile_url:
                                  type: string
                                profile_picture_url:
                                  type: string
                            source_id:
                              type: string
                            page_name:
                              type: string
                            group_title: {}
                            collaborators:
                              type: array
                              items: {}
                            likes_count:
                              type: integer
                            comments_count:
                              type: integer
                            shares_count:
                              type: integer
                            views_count:
                              type: integer
                              nullable: true
                            reactions:
                              type: object
                              properties:
                                total:
                                  type: integer
                                like:
                                  type: integer
                                love:
                                  type: integer
                                haha:
                                  type: integer
                                wow:
                                  type: integer
                                sad:
                                  type: integer
                                angry: {}
                                care:
                                  type: integer
                            is_video:
                              type: boolean
                            video_duration_ms: {}
                            video_transcript: {}
                            media:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                  url:
                                    type: string
                                  thumbnail_url:
                                    type: string
                                  ocr_text:
                                    type: string
                                    nullable: true
                            thumbnail_url: {}
                            link: {}
                            preview_title: {}
                            preview_description: {}
                            preview_source: {}
                            price: {}
                            location: {}
                            paid_partnership:
                              type: boolean
                            shared_post_url: {}
                            top_comments:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  url:
                                    type: string
                                  text:
                                    type: string
                                  date:
                                    type: string
                                  author_name:
                                    type: string
                                  author_url: {}
                                  likes_count:
                                    type: integer
                                nullable: true
                            source_url:
                              type: string
                      errors:
                        type: array
                        items: {}
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.